<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="PembelianRekap" pageWidth="595" pageHeight="842" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="20" bottomMargin="20" uuid="ccba42c3-24e2-4726-acc8-eeb5f2c1eb18">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="toko" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Rejeki Makmur"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat1" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Ruko Tidar Mas Square C16"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat2" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Surabaya - 6102 - Indonesia"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Ph. 08123123123, 031-30423123"]]></defaultValueExpression>
	</parameter>
	<parameter name="email" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["rejeki.makmur@yahoo.com"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal1" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["2013-01-01"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal2" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["2013-05-31"]]></defaultValueExpression>
	</parameter>
	<parameter name="idSupplier" class="java.lang.Integer" isForPrompting="false"/>
	<queryString>
		<![CDATA[select distinct id_faktur, no_faktur, tgl_faktur,
id_supplier, nama_supplier, jt_tempo, nett from fn_rpt_pembelian_detail($P{tanggal1}, $P{tanggal2}, $P{idSupplier}::bigint) as (
id_faktur bigint, no_faktur varchar, tgl_faktur date, no_po varchar,
nama_gudang varchar, id_supplier bigint, nama_supplier varchar, alamat_supplier varchar, kota_supplier varchar, telp_hp varchar,
jt_tempo date, ket_faktur text, trx_type varchar, ap_disc varchar,
ap_disc_rp double precision, nett double precision, plu varchar, nama_barang varchar, qty double precision, satuan varchar, unit_price double precision,
disc varchar, ppn double precision, biaya double precision, sub_total double precision, keterangan varchar)
order by tgl_faktur, nama_supplier, no_faktur]]>
	</queryString>
	<field name="id_faktur" class="java.lang.Long"/>
	<field name="no_faktur" class="java.lang.String"/>
	<field name="tgl_faktur" class="java.sql.Date"/>
	<field name="id_supplier" class="java.lang.Long"/>
	<field name="nama_supplier" class="java.lang.String"/>
	<field name="jt_tempo" class="java.sql.Date"/>
	<field name="nett" class="java.lang.Double"/>
	<variable name="nomor" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{no_faktur}]]></variableExpression>
	</variable>
	<variable name="totNett" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{nett}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="82" splitType="Stretch">
			<textField isBlankWhenNull="false">
				<reportElement uuid="872dea86-b783-428a-a13c-76cdb4a5950f" key="textField" x="0" y="0" width="378" height="24"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="14" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{toko}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="4b5fd4ca-35ec-4d99-9e7e-6e9e21638cea" key="staticText-50" x="0" y="24" width="378" height="17"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Tahoma" size="11" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Laporan Rekap Pembelian per Tanggal]]></text>
			</staticText>
			<textField isBlankWhenNull="false">
				<reportElement uuid="fb3159c4-9596-495a-b48b-f74fd345f363" key="textField-33" x="0" y="41" width="535" height="16"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true" isUnderline="false" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA["Periode : "+ $P{tanggal1}.substring(8,10)+ $P{tanggal1}.substring(4,7)+'-'+$P{tanggal1}.substring(0,4)+" S/d "+$P{tanggal2}.substring(8,10)+ $P{tanggal2}.substring(4,7)+'-'+$P{tanggal2}.substring(0,4)]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="35d847dc-0355-4461-8afc-ce3453866d91" key="staticText-15" x="0" y="66" width="22" height="16"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[NO]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="99254e71-2685-4a12-a1aa-09eeaf27ae9d" key="staticText-16" x="210" y="66" width="250" height="16"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Supplier]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="5602350a-2e90-4483-8f91-1bdedec3b493" key="staticText-24" x="460" y="66" width="75" height="16"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					<rightPen lineWidth="0.75" lineStyle="Solid"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[JUMLAH]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="6b196f5a-f72a-497b-902a-d1ff6669e0b0" key="staticText-55" x="154" y="66" width="56" height="16"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Jt. Tempo]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="c0e862ad-1ce7-47d2-94f3-b1b91c379c8e" key="staticText-56" x="90" y="66" width="64" height="16"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[No. Invoice]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="3ec383e8-245d-4eb1-bdaa-e40384da46d6" key="staticText-56" x="22" y="66" width="68" height="16"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Tanggal]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="14" splitType="Stretch">
			<textField isBlankWhenNull="false">
				<reportElement uuid="179b61af-a191-40a7-a1a2-e3078783d389" key="textField-2" x="90" y="0" width="64" height="14"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.75"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{no_faktur}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy" isBlankWhenNull="true">
				<reportElement uuid="bc8ee605-88f1-41e4-9191-4bd0b0c92463" key="textField-28" x="154" y="0" width="56" height="14"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.75"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{jt_tempo}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement uuid="9d557d70-7763-4c95-b060-26d3d37a8e1e" key="textField-7" x="0" y="0" width="22" height="14"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Top">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{nomor}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement uuid="cd8931a3-8fec-4874-a188-19d8a9a3a129" key="textField-8" x="210" y="0" width="250" height="14"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Top">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nama_supplier}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement uuid="b2c4b87c-6f9d-42f9-aad8-1fda87c6fd8e" key="textField-16" x="460" y="0" width="75" height="14"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.75"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nett}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy" isBlankWhenNull="true">
				<reportElement uuid="62a713a2-7a20-4e78-bc12-f919f2b21479" key="textField-3" x="22" y="0" width="68" height="14"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.75"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="false" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tgl_faktur}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="20" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="22" splitType="Stretch">
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement uuid="8fd95534-654f-415d-aeb8-b53c5bf76cf1" key="textField-34" x="460" y="0" width="75" height="17"/>
				<box leftPadding="1" rightPadding="1">
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.75"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{totNett}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="83dd0efd-6023-46ea-b8f1-e20e9b4fff56" key="staticText-51" x="0" y="0" width="460" height="17"/>
				<box leftPadding="1" rightPadding="1">
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[GRAND TOTAL]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
